package com.ether.tapas;

import com.ether.Pair;
import org.jetbrains.annotations.NotNull;

/**
 * @author vmipsl
 * @date 08 march 2012
 */
public class Preference
{
    @NotNull
    public Pair<String, String> getFormat()
    {
        return _format;
    }

    public void setFormat( @NotNull final Pair<String, String> format )
    {
        _format = format;
    }

    @NotNull
    public Pair<String, String> getRayleighExtinction()
    {
        return _rayleighExtinction;
    }

    public void setRayleighExtinction( @NotNull final Pair<String, String> rayleighExtinction )
    {
        _rayleighExtinction = rayleighExtinction;
    }

    @NotNull
    public Pair<String, String> getH2oExtinction()
    {
        return _h2oExtinction;
    }

    public void setH2oExtinction( @NotNull final Pair<String, String> h2oExtinction )
    {
        _h2oExtinction = h2oExtinction;
    }

    @NotNull
    public Pair<String, String> getO3Extinction()
    {
        return _o3Extinction;
    }

    public void setO3Extinction( @NotNull final Pair<String, String> o3Extinction )
    {
        _o3Extinction = o3Extinction;
    }

    @NotNull
    public Pair<String, String> getO2Extinction()
    {
        return _o2Extinction;
    }

    public void setO2Extinction( @NotNull final Pair<String, String> o2Extinction )
    {
        _o2Extinction = o2Extinction;
    }

    @NotNull
    public Pair<String, String> getCo2Extinction()
    {
        return _co2Extinction;
    }

    public void setCo2Extinction( @NotNull final Pair<String, String> co2Extinction )
    {
        _co2Extinction = co2Extinction;
    }

    @NotNull
    private Pair<String, String> _format;
    @NotNull
    private Pair<String, String> _rayleighExtinction;
    @NotNull
    private Pair<String, String> _h2oExtinction;
    @NotNull
    private Pair<String, String> _o3Extinction;
    @NotNull
    private Pair<String, String> _o2Extinction;
    @NotNull
    private Pair<String, String> _co2Extinction;
}
