package com.ether;


/**
 * @author vmipsl
 * @date 28 jan 2011 
 */
@SuppressWarnings("serial")
public class ServiceException 
	extends FormattedException
{
    public ServiceException(final Enum<? extends Code> code, final Throwable cause, final Object... parameters) {
    	this(code, cause.getMessage(), cause, parameters);
    }

    protected ServiceException(final Enum<? extends Code> code, final String message, final Throwable cause, final Object... parameters) {
    	super(prefix(code, message), cause, parameters);
    }

    public static enum ServiceCode implements Code
    {

    	PERSISTENCE,
        OBSERVATORY_NOT_FOUND,
        USER_NOT_FOUND,
    }
}
